<?php 
require_once "../modelos/Cobranzavendedores.php";
if (strlen(session_id())<1) 
	session_start();

$venta 							= new Cobranzavendedores();

$idventa						=isset($_POST["idventa"])? limpiarCadena($_POST["idventa"]):"";
$idcliente					=isset($_POST["idcliente"])? limpiarCadena($_POST["idcliente"]):"";
$idtransportista		=isset($_POST["idtransportista"])? limpiarCadena($_POST["idtransportista"]):"";
$idtransporte				=isset($_POST["idtransporte"])? limpiarCadena($_POST["idtransporte"]):"";
$idvendedor					=isset($_POST["idvendedor"])? limpiarCadena($_POST["idvendedor"]):"";
$idusuario					=$_SESSION["idusuario"];
$tipo_comprobante		=isset($_POST["tipo_comprobante"])? limpiarCadena($_POST["tipo_comprobante"]):"";
$serie_comprobante	=isset($_POST["serie_comprobante"])? limpiarCadena($_POST["serie_comprobante"]):"";
$num_comprobante		=isset($_POST["num_comprobante"])? limpiarCadena($_POST["num_comprobante"]):"";
$serie_comprobante1	=isset($_POST["serie_comprobante1"])? limpiarCadena($_POST["serie_comprobante1"]):"";
$num_comprobante1		=isset($_POST["num_comprobante1"])? limpiarCadena($_POST["num_comprobante1"]):"";
$fecha_hora					=isset($_POST["fecha_hora"])? limpiarCadena($_POST["fecha_hora"]):"";
$impuesto						=isset($_POST["impuesto"])? limpiarCadena($_POST["impuesto"]):"";
$total_venta				=isset($_POST["total_venta"])? limpiarCadena($_POST["total_venta"]):"";
$total_ventad				=isset($_POST["total_ventad"])? limpiarCadena($_POST["total_ventad"]):"";
$total_ventai				=isset($_POST["total_ventai"])? limpiarCadena($_POST["total_ventai"]):"";
$total_ventaid			=isset($_POST["total_ventaid"])? limpiarCadena($_POST["total_ventaid"]):"";
$iddetallec					=isset($_POST["iddetallec"])? limpiarCadena($_POST["iddetallec"]):"";
$idpedidoc					=isset($_POST["idpedidoc"])? limpiarCadena($_POST["idpedidoc"]):"";
$idarticuloc				=isset($_POST["idarticuloc"])? limpiarCadena($_POST["idarticuloc"]):"";
$tasa_dollar				=isset($_POST["tasa_dollar"])? limpiarCadena($_POST["tasa_dollar"]):"";
$idclientedespacho	=isset($_POST["idclientedespacho"])? limpiarCadena($_POST["idclientedespacho"]):"";
$modo_pago					=isset($_POST["modo_pago"])? limpiarCadena($_POST["modo_pago"]):"";
$idalmacen1					=isset($_POST["idalmacen1"])? limpiarCadena($_POST["idalmacen1"]):"";
$ordendecompra			=isset($_POST["ordendecompra"])? limpiarCadena($_POST["ordendecompra"]):"";
$idpedido15					=isset($_POST["idpedido15"])? limpiarCadena($_POST["idpedido15"]):"";
$iddiasdecredito		=isset($_POST["iddiacredito"])? limpiarCadena($_POST["iddiacredito"]):"";


switch ($_GET["op"]) {
	case 'guardaryeditar':
		if (empty($idventa)) {
			$rspta=$venta->insertar($idcliente,$iddiasdecredito,$idalmacen1,$idusuario,$tipo_comprobante,$serie_comprobante,$num_comprobante,$serie_comprobante1,$num_comprobante1,
			$fecha_hora,$impuesto,$total_venta,$total_ventad,$total_ventai,$total_ventaid,$idtransportista,$idvendedor,$tasa_dollar,$idclientedespacho,$idtransporte,$ordendecompra,$_POST["idarticulo"],$_POST["cantidad"],$_POST["precio_venta"],
			$_POST["descuento"],$_POST["nrolote"],$_POST["idpedidosolo"],$_POST["idalmacen"],$_POST["impoart18"],$_POST["precio_ventapvp"]); 
			echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
		}else{
			
		}
	break;

	case 'guardaryeditarcita':
		if (empty($idventa)) {
			$rspta=$venta->insertarc($idcliente,$idusuario,$tipo_comprobante,$serie_comprobante,$num_comprobante,
			$fecha_hora,$impuesto,$total_venta,$total_ventad,$total_ventai,$total_ventaid,$idtransportista,$idvendedor,$tasa_dollar,$idclientedespacho,$modo_pago,$_POST["idarticulo"],$_POST["cantidad"],$_POST["precio_venta"],
			$_POST["descuento"],$_POST["nrolote"],$_POST["idpedidosolo"],$_POST["idalmacen"],$_POST["impoart18"],$_POST["precio_ventapvp"]); 
			echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
		}else{
			
		}
	break;
	
	case 'buscarIdClienteporpedido':
		require_once "../modelos/Pedido.php";
		$pedido 	= new Pedido();
		$rspta		=	$pedido->buscarIdClienteporpedido($idpedido15);
		echo json_encode($rspta);
	break;


	case 'anular':
		$rspta=$venta->anular($idventa);
		echo $rspta ? "Factura anulada correctamente" : "No se pudo anular la factura";
	break;

	case 'eliminararticulodecafeteriabd':
		$rspta=$venta->eliminararticulodecafeteriabd($iddetallec,$idpedidoc,$idarticuloc);
		echo $rspta ? "1" : "0";
	break;
	
	case 'mostrar':
		$rspta=$venta->mostrar($idventa);
		echo json_encode($rspta);
	break;

	case 'mostrardetallefactura':
		$rspta=$venta->mostrardetallefactura($idventa);
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
            "0"=>$reg->nombre,
            "1"=>$reg->cantidad,
            "2"=>$reg->precio_venta,
						"3"=>$reg->cantidad*$reg->precio_venta,
             );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarDetalle':
		//recibimos el idventa
		$id=$_GET['id'];

		$rspta=$venta->listarDetalle($id);
		$total	=0;
		$totald	=0;
		//	<td>'.number_format($reg->impuestoart18,2,',','.').'</td>
		echo ' <thead style="background-color:#A9D0F5">
        <th>Articulo</th>
        <th>Cantidad</th>
        <th>Precio Venta Bs.</th>
				<th>Precio Venta $</th>
				<th>Subtotal Bs</th>
        <th>Subtotal $</th>
       </thead>';
		while ($reg=$rspta->fetch_object()) {
			echo '<tr class="filas">
			<td>'.$reg->nombre.'</td>
			<td>'.number_format($reg->cantidad,0,',','.').'</td>
			<td>'.number_format($reg->precio_venta,2,',','.').'</td>
			<td>'.number_format($reg->precio_ventad,2,',','.').'</td>
			<td>'.number_format($reg->subtotal,2,',','.').'</td>
			<td>'.number_format($reg->subtotald,2,',','.').'</td></tr>';
			$total=$total+($reg->precio_venta*$reg->cantidad-$reg->descuento);
			$totald=$totald+($reg->precio_ventad*$reg->cantidad-$reg->descuentod);

		}
		echo '<tfoot>
         <th>TOTAL</th>
         <th></th>
         <th></th>
		 		 <th></th>
		 		 <th><h4 id="total"> '.number_format($total,2,',','.').' Bs.</h4><input type="hidden" name="total_venta" id="total_venta"></th>
         <th><h4 id="totald"> '.number_format($totald,2,',','.').' Bs.</h4><input type="hidden" name="total_ventad" id="total_ventad"></th>
       </tfoot>';
	break;

  case 'listar':
		$rspta=$venta->listar();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			
			if ($reg->tipo_comprobante=='NotaEntrega'or$reg->tipo_comprobante=='Regalo'){
				$linea = '<a target="_blank" href="reportes/NotadeEntregaStandarMeraki.php?id='.$reg->idventa.'"><button class="btn btn-primary btn-xs"><i class="fa fa-file"></i></button></a>';
			}else{
				$linea = '<a target="_blank" href="reportes/NotadeEntregaStandarMeraki.php?id='.$reg->idventa.'"><button class="btn btn-primary btn-xs"><i class="fa fa-file"></i></button></a>'.' '.
								'<a target="_blank" href="reportes/FacturaStandarMeraki.php?id='.$reg->idventa.'"><button class="btn btn-info btn-xs"><i class="fa fa-clone"></i></button></a>';
			}
			//'<a target="_blank" href="reportes/FacturaStandar.php?id='.$reg->idventa.'"><button class="btn btn-info btn-xs"><i class="fa fa-clone"></i></button></a>';
			//FacturaNewMelani
			if ($reg->num_comprobante==''){
				$linea2 = 'Sin Factura';
			}else{
				$linea2 = $reg->num_comprobante;
			}
			if ($reg->tipo_comprobante=='Regalo'){
				if ($reg->estado!='Anulado'){
					$estado='Regalo';
				}else{
					$estado='Anulado';
				}
			}else{
				if ($reg->estado!='Anulado'){
					if ($reg->notacredito=='si'){
						$estado='Procesada-NotaCredito';
					}else{
						if ($reg->devolucion=='si'){
							$estado='Procesada-Devolución';
						}else{
							$estado='Procesada';
						}
					}
					//$estado='Procesada';
				}else{
					$estado='Anulado';
				}
			}

			if ($estado=='Anulado'){
				$colorestado='<span class="badge bg-red">'.$estado.'</span>';
			}elseif ($estado=='Regalo') {
				$colorestado='<span class="badge bg-blue">'.$estado.'</span>';
			}elseif ($estado=='Procesada-NotaCredito') {
				$colorestado='<span class="badge bg-orange">'.$estado.'</span>';
			}elseif ($estado=='Procesada-Devolución') {
				$colorestado='<span class="badge bg-yellow">'.$estado.'</span>';
			}else{
				$colorestado='<span class="badge bg-green">'.$estado.'</span>';
			}

			
				/* $url='reportes/NotadeEntregaStandar.php?id=';
				$url1='reportes/FacturaStandar.php?id='; */
		
		//	(($reg->estado!='Factura')?'<a target="_blank" href="'.$url.$reg->idventa.'"><button class="btn btn-primary btn-xs"><i class="fa fa-file"></i></button></a>'.' '.'<a target="_blank" href="'.$url1.$reg->idventa.'"><button class="btn btn-primary btn-xs"><i class="fa fa-file"></i></button></a>':'<a target="_blank" href="'.$url.$reg->idventa.'"><button class="btn btn-info btn-xs"><i class="fa fa-clone"></i></button></a>'),
		//Resultado de listar
		//idventa	fecha	idcliente	cliente	idusuario	usuario	tipo_comprobante	serie_comprobante	num_comprobante	serie_comprobante1	num_comprobante1	total_ventaimpuestod	total_venta	impuesto	estado

			$data[]=array(
            "0"=>(($reg->estado!='Anulado')?
						'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idventa.')"><i class="fa fa-eye"></i></button>'
						.' '.
						'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idventa.','.$reg->idusuario.')"><i class="fas fa-times"></i></button>':
						'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idventa.')"><i class="fa fa-eye"></i></button>').' '.
            //'<a target="_blank" href="'.$url.$reg->idventa.'"><button class="btn btn-info btn-xs"><i class="fa fa-file"></i></button></a>',
            $linea,
						"1"=>$reg->fecha,
            "2"=>substr($reg->cliente,0,50),
            "3"=>$reg->usuario,
            "4"=>$reg->num_comprobante1,
            "5"=>$linea2,
            "6"=>number_format($reg->total_ventaimpuestod,2,',','.'),
						"7"=>$colorestado,
						"8"=>$reg->total_ventaimpuestod
            //"7"=>($reg->estado!='Anulado')?'<span class="badge bg-green">'.$estado.'</span>':'<span class="badge bg-red">Anulado</span>'
						
              );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarpagada':
		$rspta=$venta->listarpagada();
		$data=Array();
		$cont		=0; 
		$this1	='this';
		while ($reg=$rspta->fetch_object()) {
			
			
			if ($reg->num_comprobante==''){
				$linea2 = 'Sin Factura';
			}else{
				$linea2 = $reg->num_comprobante;
			}
			if ($reg->tipo_comprobante=='Regalo'){
				if ($reg->estado!='Anulado'){
					$estado='Regalo';
				}else{
					$estado='Anulado';
				}
			}else{
				if ($reg->estado!='Anulado'){
					if ($reg->notacredito=='si'){
						$estado='Procesada-NotaCredito';
					}else{
						if ($reg->devolucion=='si'){
							$estado='Procesada-Devolución';
						}else{
							$estado=$reg->estado;
						}
					}
					//$estado='Procesada';
				}else{
					$estado='Anulado';
				}
			}

			if ($estado=='Anulado'){
				$colorestado='<span class="badge bg-red">'.$estado.'</span>';
			}elseif ($estado=='Regalo') {
				$colorestado='<span class="badge bg-blue">'.$estado.'</span>';
			}elseif ($estado=='Procesada-NotaCredito') {
				$colorestado='<span class="badge bg-orange">'.$estado.'</span>';
			}elseif ($estado=='Procesada-Devolución') {
				$colorestado='<span class="badge bg-yellow">'.$estado.'</span>';
			}elseif ($estado=='Pendiente') {
				$colorestado='<span class="badge bg-red">'.$estado.'</span>';
			}else{
				$colorestado='<span class="badge bg-green">'.$estado.'</span>';
			}


			$data[]=array(
            "0"=>'<input type="checkbox" name="iddocumento[]" id="iddocumento[]" onchange="change_checkboxc('.$cont.','.$this1.')" value="'.$cont.'">
						<input type="hidden" name="idventa[]" id="idventa[]" value="'.$reg->idventa.'">
						<input type="hidden" name="idvendedorv[]" id="idvendedorv[]" value="'.$reg->idvendedor.'">
						<input type="hidden" name="vendedor[]" id="vendedor[]" value="'.$reg->vendedor.'">
						<input type="hidden" name="cobrar[]" id="cobrar[]" value="'.$reg->cobrar.'">
						<input type="hidden" name="discobranza[]" id="discobranza[]" value="'.$reg->discobranza.'">
						<input type="hidden" name="ventavalido[]" id="ventavalido[]" value="no">',
						"1"=>$reg->fecha,
            "2"=>$reg->cliente,
						"3"=>$reg->vendedor,
            "4"=>$reg->num_comprobante1,
						"5"=>$reg->discobranza,
            "6"=>'<input type="text" style="text-align:right;width:100px" name="montodd[]" id="montodd[]" step="0.01" value="'.number_format($reg->total_ventaimpuestod,2,',','.').'" readonly>',
						"7"=>$colorestado,
						"8"=>$reg->total_ventaimpuestod
            //"7"=>($reg->estado!='Anulado')?'<span class="badge bg-green">'.$estado.'</span>':'<span class="badge bg-red">Anulado</span>'
						
              );
				$cont+=1;
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarf':
		$rspta=$venta->listarf();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
    		$url='reportes/FacturaNormalNewFisioterapia.php?id=';
     		$data[]=array(
            "0"=>(($reg->estado!='Anulado')?'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idventa.')"><i class="fa fa-eye"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idventa.','.$reg->idusuario.')"><i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idventa.')"><i class="fa fa-eye"></i></button>').
            '<a target="_blank" href="'.$url.$reg->idventa.'"> <button class="btn btn-info btn-xs"><i class="fa fa-file"></i></button></a>',
            "1"=>$reg->fecha,
            "2"=>$reg->cliente,
            "3"=>$reg->usuario,
            "4"=>$reg->tipo_comprobante,
            "5"=>$reg->serie_comprobante. '-' .$reg->num_comprobante,
            "6"=>number_format($reg->total_venta,2,',','.'),
            "7"=>($reg->estado!='Anulado')?'<span class="badge bg-green">Aceptado</span>':'<span class="badge bg-red">Anulado</span>'
              );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarFacturas':
		$rspta			=$venta->listarFacturas($idcliente);
		$dataA			=Array();
		$porcentaje		=0;
		$preciod		=0;
		$precio			=0;
		$numerolote 	='N/A';
		$impuestoart18	=0;
		$impuestoart18d	=0;
		$preciopvp		=0;
		$preciopvpd		=0;
		$idalmacen		='N/A';
		$fechalote		='N/A';
		$descripcion	= '';
		$excento		= 'si';

		while ($reg=$rspta->fetch_object()) {
			$preciod	=$reg->preciod;
			$precio		=$reg->precio;
			$descripcion='Factura : '.$reg->num_comprobante;
			$dataA[]=array(
						"0"=>'<button class="btn btn-warning" 
						onclick="agregarDetalle('.$reg->idventa.',\''.$idalmacen.'\',\''.$descripcion.'\','.$precio.','.$preciod.','.$porcentaje.',\''.$numerolote.'\',\''.$fechalote.'\',\''.$reg->fecha_hora.'\',\''.$excento.'\','.$impuestoart18.','.$impuestoart18d.','.$preciopvp.','.$preciopvpd.')"><span class="fa fa-plus"></span></button>',
						"1"=>$reg->num_comprobante1,
						"2"=>$reg->serie_comprobante,
						"3"=>$reg->fecha_hora,
						"4"=>number_format($preciod,2,',','.'),
						"5"=>$reg->estado,
						);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($dataA),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($dataA),//enviamos el total de registros a visualizar
						"aaData"=>$dataA); 
		echo json_encode($results);

	break;

	case 'listarFacturasd':
		$rspta			=$venta->listarFacturas($idcliente);
		$dataA			=Array();
		$porcentaje		=0;
		$preciod		=0;
		$precio			=0;
		$numerolote 	='N/A';
		$impuestoart18	=0;
		$impuestoart18d	=0;
		$preciopvp		=0;
		$preciopvpd		=0;
		$idalmacen		='N/A';
		$fechalote		='N/A';
		$descripcion	= '';
		$excento		= 'si';

		while ($reg=$rspta->fetch_object()) {
			$preciod	=$reg->preciod;
			$precio		=$reg->precio;
			$descripcion='Factura : '.$reg->num_comprobante;
			$dataA[]=array(
						"0"=>'<button class="btn btn-warning" 
						onclick="agregarDetalled('.$reg->idventa.')"><span class="fa fa-plus"></span></button>',
						"1"=>$reg->num_comprobante1,
						"2"=>$reg->serie_comprobante,
						"3"=>$reg->fecha_hora,
						"4"=>number_format($preciod,2,',','.'),
						"5"=>$reg->estado,
						);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($dataA),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($dataA),//enviamos el total de registros a visualizar
						"aaData"=>$dataA); 
		echo json_encode($results);

	break;

	case 'listarDetalleDevolucion':
		//recibimos el idventa
		$id			= $_GET['id'];
		$cont		=	$_GET['cont']*1;
		$rspta	= $venta->listarDetalle($id);

		$total	= 0;
		$cand		= 0;
		
		echo ' <thead style="background-color:#A9D0F5">
        <th>Seleccion</th>
        <th>Articulo</th>
        <th>Precio</th>
				<th>Precio $</th>
				<th>Cant-Fact</th>
				<th>Cant-Dev</th>
        <th>Subtotal</th>
       </thead>';
		while ($reg=$rspta->fetch_object()) {
			echo '<tr class="filas">
			<td><input type="checkbox" name="idarticulo[]" id="idarticulo[]" onchange="change_checkbox('.$cont.','.this.')" value="'.$cont.'"></td>
			<td>'.$reg->nombre.'</td>
			<td><input type="text" name="precio_venta[]" id="precio_venta[]" style="text-align:right;width:120px" value="'.number_format($reg->precio_venta,2).'" readonly></td>
			<td><input type="text" name="precio_ventad[]" id="precio_ventda[]" style="text-align:right;width:120px" value="'.number_format($reg->precio_ventad,2).'" readonly></td>
			<td><input type="text" name="descuento[]" style="text-align:right;width:120px" value="'.number_format($reg->descuento,2).'" readonly ></td>
			<td><input type="text" name="cantidad[]" id="cantidadf[]" style="text-align:right;width:80px" value="'.number_format($reg->cantidad).'" readonly></td>
			<td><input type="text" name="cantidad[]" id="cantidadd[]" style="text-align:right;width:80px" value="'.number_format($cand).'"></td>
			<td>
				<input type="text" style="text-align:right;width:120px" name="subtotal[]" id="subtotal[]"  value="'.number_format($reg->subtotal,2).'" readonly>
				<input type="hidden" name="idarticulo[]" id="idarticulo[]" value="'.$reg->idarticulo.'">
				<input type="hidden" name="idalmacen[]" id="idalmacen[]" value="'.$reg->idalmacen.'">
				<input type="hidden" name="nrolote[]" id="nrolote[]" value="'.$reg->numerolote.'">
			</td></tr>';
			$total=$total+($reg->precio_venta*$reg->cantidad-$reg->descuento);
			$cont+=1;
		}
		echo '<tfoot>
         <th>TOTAL</th>
         <th></th>
         <th></th>
         <th></th>
		 <th></th>
		 <th></th>
         <th><h4 id="total"> '.number_format($total,2,',','.').' Bs.</h4><input type="hidden" name="total_venta" id="total_venta"></th>
       </tfoot>';
	break;

	case 'agregarDetallePedidoDeBarra':
		//recibimos el idtarjeta
		$id			=	$_GET['id'];
		$cont		=	$_GET['cont']*1;
		$total		=	0;
		$rspta		=	$barra->agregarDetallePedidoDeBarra($id);
		$porciento	=	0.1; //10% porciento
		//$cont	=200;
		while ($reg=$rspta->fetch_object()) {
			$preciodsiniva	=$reg->precio_venta-$reg->iva;
			$data			=array($cont,(($reg->iddetalle_pedido)*1),(($reg->idpedido)*1),(($reg->idarticulo)*1));
            echo '<tr class="filas" bgcolor="#F0F984" id="fila'.$cont.'">
			<td><button type="button" class="btn btn-danger" onclick="eliminarDetalleClave('.$cont.')">X</button></td>
			<td><input type="hidden" name="idarticulo[]" value="'.$reg->idarticulo.'">'.$reg->nombre.'</td>
			<td>'.$reg->num_tarjeta.'</td>
			<td>'.$reg->numerolote.' / '.$reg->fecha.'</td>
			<td><input type="text" name="cantidad[]" id="cantidad[]" style="text-align:right;width:80px" value="'.number_format($reg->cantidad,0,',','.').'" readonly></td>
			<td><input type="text" name="precio_venta[]" id="precio_venta[]" style="text-align:right;width:120px" value="'.number_format($reg->precio_venta,2,',','.').'" readonly></td>
			<td><input type="text" name="precio_ventad[]" id="precio_ventad[]" style="text-align:right;width:80px" value="'.number_format($reg->preciod,1,',','.').'" readonly></td>
			<td><input type="text" name="porcentaje[]" id="porcentaje[]" style="text-align:right;width:70px" value="'.number_format($reg->porcentaje,0,',','.').'" readonly></td>
			<td><input type="text" name="descuento[]" value="'.number_format($reg->descuento,2,',','.').'" style="text-align:right;width:120px" readonly></td>
			<td><input type="text" name="subtotal[]" id="subtotal[]" style="text-align:right;width:120px" value="'.number_format($reg->subtotal,2,',','.').'"></td>
			<td><button type="button" onclick="modificarSubtotales()" class="btn btn-info"><i class="fa fa-refresh"></i></button>
			<input type="hidden" name="idpedido[]" id="idpedido[]" value="'.json_encode($data).'">
			<input type="hidden" name="idpedidosolo[]" id="idpedidosolo[]" value="'.(($reg->idpedido)*1).'">
			<input type="hidden" name="idalmacen[]" id="idalmacen[]" value="'.$reg->idalmacen.'">
			<input type="hidden" name="precio_ventasiniva[]" id="precio_ventasiniva[]"  value="'.number_format($preciodsiniva,2,',','.').'"></input>
			<input type="hidden" name="exento[]" value="'.$reg->exento.'">
			<input type="hidden" name="nrolote[]" value="'.$reg->numerolote.'">
			<input type="hidden" name="articulo[]" id="articulo[]" value="'.$reg->nombre.'">
			<input type="hidden" name="iva[]" value="'.number_format($reg->iva,2,',','.').'">
			<input type="hidden" name="exentot[]" value="'.number_format($reg->mexento,2,',','.').'">	
			</td>
			</tr>';
			
			$total	=	$total+$reg->subtotal-$reg->iva;
			$cont	=	$cont+1;
		}
		$porciento	=	$total*$porciento;
		echo '<input type="hidden" name="porciento[]" id="porciento[]" value="'.$porciento.'">';
	break; 
	
	case 'selectCliente':
		require_once "../modelos/Persona.php";
		$persona 		= new Persona();
		$valorinicio	= 0;
		$valornombre	= 'Seleccione un cliente';
		$rspta = $persona->listarc();
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		while ($reg = $rspta->fetch_object()) {
			//echo '<option value='.$reg->idpersona.'>'.$reg->nombre.'-'.$reg->nombred.'</option>';
			echo '<option value='.$reg->idpersona.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'selectListaprecio':
		require_once "../modelos/Listaprecio.php";
		$listaprecio 	= new Listaprecio();
		$rspta 			= $listaprecio->select();
		while ($reg = $rspta->fetch_object()) {
			echo '<input type="hidden" name="listaprecio[]" id="listaprecio[]" value="'.$reg->nombre.'">';
		}
	break;
	
	case 'selectClienteCita':
		require_once "../modelos/Paciente.php";
		$persona 		= new Paciente();
		$valorinicio	= 0;
		$valornombre	= 'Seleccione un Paciente';
		$rspta = $persona->listar();
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idpaciente.'>'.$reg->nombre1.' '.$reg->apellido1.'</option>';
		}
	break;


	case 'selectTransportista':
		require_once "../modelos/Transportista.php";
		$transportista = new Transportista();
		$valorinicio	= 0;
		$valornombre	= 'Seleccione un Transportista';
		$rspta = $transportista->listar();
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idtransportista.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'selectVendedor':
		require_once "../modelos/Vendedor.php";
		$vendedor 		= new Vendedor();
		$valorinicio	= 0;
		$valornombre	= 'Seleccione un Vendedor';
		$rspta 			= $vendedor->listar();
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idvendedor.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'selectAlmacen':
		require_once "../modelos/Almacen.php";
		$almacen 		= new Almacen();
		$valorinicio	= 0;
		$valornombre	= 'Seleccione un Almacen';
		$rspta 			= $almacen->select();
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idalmacen.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'selectDiasdecredito':
		require_once "../modelos/Diasdecredito.php";
		$diasdecredito 	= new Diasdecredito();
		$valorinicio		= 0;
		$valornombre		= 'Seleccione Los Días de Crédito';
		$rspta 					= $diasdecredito->select();
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->iddiasdecredito.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'selectTransporte':
		require_once "../modelos/Transporte.php";
		$transporte 		= new Transporte();
		$valorinicio	= 0;
		$valornombre	= 'Seleccione un Vehículo';
		$rspta 				= $transporte->select();
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idtransporte.'>'.$reg->vehiculo.'</option>';
		}
	break;
	

	case 'listarArticulos':
		require_once "../modelos/Articulo.php";
		$articulo	=new Articulo();
		if ($idalmacen1==1){
			$rspta		=$articulo->listarActivosVentaa();
		}elseif ($idalmacen1==2) {
			$rspta		=$articulo->listarActivosVentaa2();
		}elseif ($idalmacen1==3) {
			$rspta		=$articulo->listarActivosVentaa3();
		}elseif ($idalmacen1==4) {
			$rspta		=$articulo->listarActivosVentaa4();
		}elseif ($idalmacen1==5) {
			$rspta		=$articulo->listarActivosVentaa5();
		}elseif ($idalmacen1==6) {
			$rspta		=$articulo->listarActivosVentaa6();
		}elseif ($idalmacen1==7) {
			$rspta		=$articulo->listarActivosVentaa7();
		}elseif ($idalmacen1==8) {
			$rspta		=$articulo->listarActivosVentaa8();
		}else{
			$rspta		=$articulo->listarActivosVentaa9();
		}
		
		$dataA			=Array();
		$porcentaje	=0;
		$iva				=	($_SESSION['iva_empresa']/100)+1;
		$precio			= 0;
		$linea			="";
		while ($reg=$rspta->fetch_object()) {
			// $precio	= $reg->precio_venta*$iva;
			// if ($reg->exento=='si'){
			// 	$precio = $reg->precio_venta;
			// }
			$linea			= $reg->stock;
			if ($reg->stock<=0){
				$linea			= '<badge style="background-color:#FC0202 ">'.number_format($reg->stock,0,',','.').'</badge>';
			}
			$precio = $reg->preciod;
			$dataA[]=array(
						"0"=>'<button class="btn btn-warning" 
						onclick="agregarDetalle('.$reg->idarticulo.','.$reg->idalmacen.',\''.$reg->nombre.'\','.$reg->precio_venta.','.$reg->preciod.','.$porcentaje.',\''.$reg->numerolote.'\',\''.$reg->fecha.'\',\''.$reg->exento.'\','.$reg->impuestoart18.','.$reg->impuestoart18d.','.$reg->preciopvp.','.$reg->preciopvpd.','.$reg->stock.')"><span class="fa fa-plus"></span></button>',
						"1"=>'<a href="#" onclick="mostrarstock('.$reg->idarticulo.')">'.$reg->nombre.'</a>',
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>$linea,
						"5"=>number_format($precio,2,',','.'),
						"6"=>$reg->numerolote,
						"7"=>$reg->fecha,
						"8"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($dataA),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($dataA),//enviamos el total de registros a visualizar
						"aaData"=>$dataA); 
		echo json_encode($results);

	break;

	case 'listarArticulosb':
		require_once "../modelos/Articulo.php";
		$articulo		=new Articulo();
		if ($idalmacen1==1){
			$rspta		=$articulo->listarActivosVentab();
		}elseif ($idalmacen1==2) {
			$rspta		=$articulo->listarActivosVentab2();
		}elseif ($idalmacen1==3) {
			$rspta		=$articulo->listarActivosVentab3();
		}elseif ($idalmacen1==4) {
			$rspta		=$articulo->listarActivosVentab4();
		}elseif ($idalmacen1==5) {
			$rspta		=$articulo->listarActivosVentab5();
		}elseif ($idalmacen1==6) {
			$rspta		=$articulo->listarActivosVentab6();
		}elseif ($idalmacen1==7) {
			$rspta		=$articulo->listarActivosVentab7();
		}elseif ($idalmacen1==8) {
			$rspta		=$articulo->listarActivosVentab8();
		}else{
			$rspta		=$articulo->listarActivosVentab9();
		}
	
		$dataA			=Array();
		$porcentaje	=0;
		$iva				=	($_SESSION['iva_empresa']/100)+1;
		$precio			= 0;
		$linea			="";
		while ($reg=$rspta->fetch_object()) {
			// $precio	= $reg->precio_venta*$iva;
			// if ($reg->exento=='si'){
			// 	$precio = $reg->precio_venta;
			// }
			$linea			= $reg->stock;
			if ($reg->stock<=0){
				$linea			= '<badge style="background-color:#FC0202 ">'.number_format($reg->stock,0,',','.').'</badge>';
			}
			$precio = $reg->preciod;
			$dataA[]=array(
						"0"=>'<button class="btn btn-warning" 
						 onclick="agregarDetalle('.$reg->idarticulo.','.$reg->idalmacen.',\''.$reg->nombre.'\','.$reg->precio_venta.','.$reg->preciod.','.$porcentaje.',\''.$reg->numerolote.'\',\''.$reg->fecha.'\',\''.$reg->exento.'\','.$reg->impuestoart18.','.$reg->impuestoart18d.','.$reg->preciopvp.','.$reg->preciopvpd.','.$reg->stock.')"><span class="fa fa-plus"></span></button>',
						"1"=>'<a href="#" onclick="mostrarstock('.$reg->idarticulo.')">'.$reg->nombre.'</a>',
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>$linea,
						"5"=>number_format($precio,2,',','.'),
						"6"=>$reg->numerolote,
						"7"=>$reg->fecha,
						"8"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($dataA),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($dataA),//enviamos el total de registros a visualizar
						"aaData"=>$dataA); 
		echo json_encode($results);

	break;

	case 'listarArticulosc':
		require_once "../modelos/Articulo.php";
		$articulo	=new Articulo();
		if ($idalmacen1==1){
			$rspta		=$articulo->listarActivosVentac();
		}elseif ($idalmacen1==2) {
			$rspta		=$articulo->listarActivosVentac2();
		}elseif ($idalmacen1==3) {
			$rspta		=$articulo->listarActivosVentac3();
		}elseif ($idalmacen1==4) {
			$rspta		=$articulo->listarActivosVentac4();
		}elseif ($idalmacen1==5) {
			$rspta		=$articulo->listarActivosVentac5();
		}elseif ($idalmacen1==6) {
			$rspta		=$articulo->listarActivosVentac6();
		}elseif ($idalmacen1==7) {
			$rspta		=$articulo->listarActivosVentac7();
		}elseif ($idalmacen1==8) {
			$rspta		=$articulo->listarActivosVentac8();
		}else{
			$rspta		=$articulo->listarActivosVentac9();
		}
		$dataA			=Array();
		$porcentaje	=0;
		$iva				=	($_SESSION['iva_empresa']/100)+1;
		$precio			= 0;
		$linea			="";
		while ($reg=$rspta->fetch_object()) {
			// $precio	= $reg->precio_venta*$iva;
			// if ($reg->exento=='si'){
			// 	$precio = $reg->precio_venta;
			// }
			$linea			= $reg->stock;
			if ($reg->stock<=0){
				$linea			= '<badge style="background-color:#FC0202 ">'.number_format($reg->stock,0,',','.').'</badge>';
			}
			$precio = $reg->preciod;
			$dataA[]=array(
						"0"=>'<button class="btn btn-warning" 
						onclick="agregarDetalle('.$reg->idarticulo.','.$reg->idalmacen.',\''.$reg->nombre.'\','.$reg->precio_venta.','.$reg->preciod.','.$porcentaje.',\''.$reg->numerolote.'\',\''.$reg->fecha.'\',\''.$reg->exento.'\','.$reg->impuestoart18.','.$reg->impuestoart18d.','.$reg->preciopvp.','.$reg->preciopvpd.','.$reg->stock.')"><span class="fa fa-plus"></span></button>',
						"1"=>'<a href="#" onclick="mostrarstock('.$reg->idarticulo.')">'.$reg->nombre.'</a>',
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>$linea,
						"5"=>number_format($precio,2,',','.'),
						"6"=>$reg->numerolote,
						"7"=>$reg->fecha,
						"8"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($dataA),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($dataA),//enviamos el total de registros a visualizar
						"aaData"=>$dataA); 
		echo json_encode($results);

	break;

	case 'listarArticulosd':
		require_once "../modelos/Articulo.php";
		$articulo	=new Articulo();
		if ($idalmacen1==1){
			$rspta		=$articulo->listarActivosVentad();
		}elseif ($idalmacen1==2) {
			$rspta		=$articulo->listarActivosVentad2();
		}elseif ($idalmacen1==3) {
			$rspta		=$articulo->listarActivosVentad3();
		}elseif ($idalmacen1==4) {
			$rspta		=$articulo->listarActivosVentad4();
		}elseif ($idalmacen1==5) {
			$rspta		=$articulo->listarActivosVentad5();
		}elseif ($idalmacen1==6) {
			$rspta		=$articulo->listarActivosVentad6();
		}elseif ($idalmacen1==7) {
			$rspta		=$articulo->listarActivosVentad7();
		}elseif ($idalmacen1==8) {
			$rspta		=$articulo->listarActivosVentad8();
		}else{
			$rspta		=$articulo->listarActivosVentad9();
		}
		$dataA			=Array();
		$porcentaje	=0;
		$iva				=	($_SESSION['iva_empresa']/100)+1;
		$precio			= 	0;
		$linea			="";
		while ($reg=$rspta->fetch_object()) {
			// $precio	= $reg->precio_venta*$iva;
			// if ($reg->exento=='si'){
			// 	$precio = $reg->precio_venta;
			// }
			$linea			= $reg->stock;
			if ($reg->stock<=0){
				$linea			= '<badge style="background-color:#FC0202 ">'.number_format($reg->stock,0,',','.').'</badge>';
			}
			$precio = $reg->preciod;
			$dataA[]=array(
						"0"=>'<button class="btn btn-warning" 
						onclick="agregarDetalle('.$reg->idarticulo.','.$reg->idalmacen.',\''.$reg->nombre.'\','.$reg->precio_venta.','.$reg->preciod.','.$porcentaje.',\''.$reg->numerolote.'\',\''.$reg->fecha.'\',\''.$reg->exento.'\','.$reg->impuestoart18.','.$reg->impuestoart18d.','.$reg->preciopvp.','.$reg->preciopvpd.','.$reg->stock.')"><span class="fa fa-plus"></span></button>',
						"1"=>'<a href="#" onclick="mostrarstock('.$reg->idarticulo.')">'.$reg->nombre.'</a>',
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>$linea,
						"5"=>number_format($precio,2,',','.'),
						"6"=>$reg->numerolote,
						"7"=>$reg->fecha,
						"8"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($dataA),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($dataA),//enviamos el total de registros a visualizar
						"aaData"=>$dataA); 
		echo json_encode($results);

	break;

	case 'listarArticulose':
		require_once "../modelos/Articulo.php";
		$articulo	=new Articulo();
		if ($idalmacen1==1){
			$rspta		=$articulo->listarActivosVentae();
		}elseif ($idalmacen1==2) {
			$rspta		=$articulo->listarActivosVentae2();
		}elseif ($idalmacen1==3) {
			$rspta		=$articulo->listarActivosVentae3();
		}elseif ($idalmacen1==4) {
			$rspta		=$articulo->listarActivosVentae4();
		}elseif ($idalmacen1==5) {
			$rspta		=$articulo->listarActivosVentae5();
		}elseif ($idalmacen1==6) {
			$rspta		=$articulo->listarActivosVentae6();
		}elseif ($idalmacen1==7) {
			$rspta		=$articulo->listarActivosVentae7();
		}elseif ($idalmacen1==8) {
			$rspta		=$articulo->listarActivosVentae8();
		}else{
			$rspta		=$articulo->listarActivosVentae9();
		}
		$dataA		=Array();
		$porcentaje	=0;
		$iva				=	($_SESSION['iva_empresa']/100)+1;
		$precio			= 	0;
		$linea			= "";
		while ($reg=$rspta->fetch_object()) {
			// $precio	= $reg->precio_venta*$iva;
			// if ($reg->exento=='si'){
			// 	$precio = $reg->precio_venta;
			// }
			$linea			= $reg->stock;
			if ($reg->stock<=0){
				$linea			= '<badge style="background-color:#FC0202 ">'.number_format($reg->stock,0,',','.').'</badge>';
			}
			$precio = $reg->preciod;
			$dataA[]=array(
						"0"=>'<button class="btn btn-warning" 
						onclick="agregarDetalle('.$reg->idarticulo.','.$reg->idalmacen.',\''.$reg->nombre.'\','.$reg->precio_venta.','.$reg->preciod.','.$porcentaje.',\''.$reg->numerolote.'\',\''.$reg->fecha.'\',\''.$reg->exento.'\','.$reg->impuestoart18.','.$reg->impuestoart18d.','.$reg->preciopvp.','.$reg->preciopvpd.','.$reg->stock.')"><span class="fa fa-plus"></span></button>',
						"1"=>'<a href="#" onclick="mostrarstock('.$reg->idarticulo.')">'.$reg->nombre.'</a>',
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>$linea,
						"5"=>number_format($precio,2,',','.'),
						"6"=>$reg->numerolote,
						"7"=>$reg->fecha,
						"8"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($dataA),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($dataA),//enviamos el total de registros a visualizar
						"aaData"=>$dataA); 
		echo json_encode($results);

	break;

	/* lista opcional
	case 'listarArticuloso':
		require_once "../modelos/Articulo.php";
		$articulo	=new Articulo();
		if ($idalmacen1==1){
			$rspta		=$articulo->listarActivosVentae();
		}elseif ($idalmacen1==2) {
			$rspta		=$articulo->listarActivosVentae2();
		}elseif ($idalmacen1==3) {
			$rspta		=$articulo->listarActivosVentae3();
		}elseif ($idalmacen1==4) {
			$rspta		=$articulo->listarActivosVentae4();
		}elseif ($idalmacen1==5) {
			$rspta		=$articulo->listarActivosVentae5();
		}elseif ($idalmacen1==6) {
			$rspta		=$articulo->listarActivosVentae6();
		}elseif ($idalmacen1==7) {
			$rspta		=$articulo->listarActivosVentae7();
		}elseif ($idalmacen1==8) {
			$rspta		=$articulo->listarActivosVentae8();
		}else{
			$rspta		=$articulo->listarActivosVentae9();
		}
		$dataA		=Array();
		$porcentaje	=0;
		$iva		=	($_SESSION['iva_empresa']/100)+1;
		$precio		= 	0;
		while ($reg=$rspta->fetch_object()) {
			// $precio	= $reg->precio_venta*$iva;
			// if ($reg->exento=='si'){
			// 	$precio = $reg->precio_venta;
			// }
			$precio = $reg->precio_venta;
			$dataA[]=array(
						"0"=>'<button class="btn btn-warning" 
						onclick="agregarDetalle('.$reg->idarticulo.','.$reg->idalmacen.',\''.$reg->nombre.'\','.$reg->precio_venta.','.$reg->preciod.','.$porcentaje.',\''.$reg->numerolote.'\',\''.$reg->fecha.'\',\''.$reg->exento.'\','.$reg->impuestoart18.','.$reg->impuestoart18d.','.$reg->preciopvp.','.$reg->preciopvpd.','.$reg->stock.')"><span class="fa fa-plus"></span></button>',
						"1"=>$reg->nombre,
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>number_format($reg->stock,0,',','.'),
						"5"=>number_format($precio,2,',','.'),
						"6"=>$reg->numerolote,
						"7"=>$reg->fecha,
						"8"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($dataA),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($dataA),//enviamos el total de registros a visualizar
						"aaData"=>$dataA); 
		echo json_encode($results);

	break;
	*/

	case 'listarArticulosm':
		require_once "../modelos/Articulo.php";
		$articulo	=new Articulo();
		if ($idalmacen1==1){
			$rspta		=$articulo->listarActivosVentaam();
		}elseif ($idalmacen1==2) {
			$rspta		=$articulo->listarActivosVentaa2m();
		}elseif ($idalmacen1==3) {
			$rspta		=$articulo->listarActivosVentaa3m();
		}elseif ($idalmacen1==4) {
			$rspta		=$articulo->listarActivosVentaa4m();
		}elseif ($idalmacen1==5) {
			$rspta		=$articulo->listarActivosVentaa5m();
		}elseif ($idalmacen1==6) {
			$rspta		=$articulo->listarActivosVentaa6m();
		}elseif ($idalmacen1==7) {
			$rspta		=$articulo->listarActivosVentaa7m();
		}elseif ($idalmacen1==8) {
			$rspta		=$articulo->listarActivosVentaa8m();
		}else{
			$rspta		=$articulo->listarActivosVentaa9m();
		}
		
		$dataA			=Array();
		$porcentaje	=0;
		$iva				=	($_SESSION['iva_empresa']/100)+1;
		$precio			= 0;
		$linea			="";
		while ($reg=$rspta->fetch_object()) {
			// $precio	= $reg->precio_venta*$iva;
			// if ($reg->exento=='si'){
			// 	$precio = $reg->precio_venta;
			// }
			$linea			= $reg->stock;
			if ($reg->stock<=0){
				$linea			= '<badge style="background-color:#FC0202 ">'.number_format($reg->stock,0,',','.').'</badge>';
			}
			$precio = $reg->preciod;
			$dataA[]=array(
						"0"=>'<button class="btn btn-warning" 
						onclick="agregarDetalle('.$reg->idarticulo.','.$reg->idalmacen.',\''.$reg->nombre.'\','.$reg->precio_venta.','.$reg->preciod.','.$porcentaje.',\''.$reg->numerolote.'\',\''.$reg->fecha.'\',\''.$reg->exento.'\','.$reg->impuestoart18.','.$reg->impuestoart18d.','.$reg->preciopvp.','.$reg->preciopvpd.','.$reg->stock.','.$reg->idarticuloi.','.$reg->idalmaceni.',\''.$reg->nombree.'\','.$reg->factorconversion.')"><span class="fa fa-plus"></span></button>',
						"1"=>'<a href="#" onclick="mostrarstock('.$reg->idarticulo.')">'.$reg->nombre.'</a>',
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>$linea,
						"5"=>number_format($precio,2,',','.'),
						"6"=>$reg->numerolote,
						"7"=>$reg->fecha,
						"8"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($dataA),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($dataA),//enviamos el total de registros a visualizar
						"aaData"=>$dataA); 
		echo json_encode($results);

	break;

	case 'listarServicios':
		require_once "../modelos/Servicios.php";
		$servicio=new Servicios();
		$rspta=$servicio->listarServiciosVentaFisioterapia();
		//echo "<script> alert('estoy en listarServicios Controlador') </script>";
		//s.idservicio, s.idtiposervicio,t.nombre as nombreservio, s.nombre,s.precio,s.porcentaje, s.descripcion,s.condicion,s.exento 
		//onclick="agregarDetalle('.$reg->idarticulo.','.$reg->idalmacen.',\''.$reg->nombre.'\','.$reg->precio_venta.','.$reg->preciod.','.$porcentaje.',\''.$reg->numerolote.'\',\''.$reg->fecha.'\',\''.$reg->exento.'\','.$reg->impuestoart18.','.$reg->impuestoart18d.','.$reg->preciopvp.','.$reg->preciopvpd.')">',
		$almacen		='N/A';
		$nrolote		='N/A';
		$fechalote		='N/A';
		$fechacita		='N/A';
		$idcita			='N/A';
		$impuestoart18 	= 0;
		$impuestoart18d	= 0;
		$preciopvp		= 0;
		$preciopvpd		= 0;
		$data=Array();
		// (idarticulo,idalmacen,articulo,precio_venta,porcentaje,nrolote,fechalote,exento)
		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<button class="btn btn-warning"
						onclick="agregarDetalle('.$reg->idservicio.',\''.$almacen.'\',\''.$reg->nombre.'\','.$reg->precio.','.$reg->preciod.','.$reg->porcentaje.',\''.$nrolote.'\',\''.$fechalote.'\',\''.$fechacita.'\',\''.$reg->exento.'\','.$impuestoart18.','.$impuestoart18d.','.$preciopvp.','.$preciopvpd.',\''.$idcita.'\')"><span class="fa fa-plus"></span></button>',
						"1"=>$reg->nombre,
						"2"=>$reg->nombreservio,
						"3"=>number_format($reg->precio,2,',','.'),
						"4"=>number_format($reg->porcentaje,2,',','.')
						);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);

	break;

	case 'stockporalmacen':
		require_once "../modelos/Articulo.php";
		$articulo		=new Articulo();
		$idarticulo	=$_POST['idarticulo'];
		$rspta			=$articulo->stockporalmacen($idarticulo);
		$dataA			=Array();
		$linea			= "";
		while ($reg=$rspta->fetch_object()) {
			$linea			= $reg->stock;
			if ($reg->stock<=0){
				$linea			= '<badge style="background-color:#FC0202 ">'.$reg->stock.'</badge>';
			}
			$dataA[]=array(
						"0"=>$reg->almacen,
						"1"=>$linea
						);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($dataA),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($dataA),//enviamos el total de registros a visualizar
						"aaData"=>$dataA); 
		echo json_encode($results);

	break;
	

	
}
?>